Commit edfcc0fa authored by hkrishna's avatar hkrishna
Browse files

re-adding tabs to the patches, also turning off fortran build of hdf4, finally...

re-adding tabs to the patches, also turning off fortran build of hdf4, finally build_visit now has support for getting bv_support from svn repo if none is found locally

git-svn-id: http://visit.ilight.com/svn/visit/trunk/src@16527 18c085ea-50e0-402c-830e-de6fd14e8384
parent 2a68cc15
......@@ -52,8 +52,29 @@ INITIAL_PWD=$PWD
#First step download the support directory from svn repository..
bv_PATH=`dirname $0`
bv_PREFIX=$bv_PATH/bv_support/
#check same directory as build_visit
if [ ! -d $bv_PREFIX ]; then
#check current directory
bv_PREFIX=$PWD/bv_support/
if [ ! -d $bv_PREFIX ]; then
echo "bv_support does not exist, fetching..."
tmp=`which svn`
if [ $? != 0 ]; then
echo "svn support not available, no ability to fetch support files"
exit 2
fi
#checkout the support directory
#svn co svn+ssh://$SVN_NERSC_NAME@portal-auth.nersc.gov/project/projectdirs/visit/svn/visit/trunk/src/svn_bin/bv_support bv_support
svn co http://portal.nersc.gov/svn/visit/trunk/src/svn_bin/bv_support bv_support
if [ $? != 0 ]; then
echo "download of support files failed. Please contact visit-users mailing list for help. Quitting"
fi
fi
fi
#import initialize and run functions..
. $bv_PREFIX/bv_main.sh
......
......@@ -105,23 +105,23 @@ diff -c a/config/config.system libccmio-2.6.1/config/config.system
*************** case ${SYSTEM} in
*** 85,93 ****
ppc64-unknown-linux-gnu)
echo ppc64-unknown-linux-gnu ;;
echo ppc64-unknown-linux-gnu ;;
! i386-apple-darwin8.11.1)
echo i386-apple-darwin8 ;;
echo i386-apple-darwin8 ;;
*)
echo unknown
echo System type ${SYSTEM} not supported! 1>&2 ;;
--- 85,96 ----
ppc64-unknown-linux-gnu)
echo ppc64-unknown-linux-gnu ;;
echo ppc64-unknown-linux-gnu ;;
! i386-apple-darwin8* | i386-apple-darwin9* | i386-apple-darwin10*)
echo i386-apple-darwin8 ;;
echo i386-apple-darwin8 ;;
+ powerpc-apple-darwin7* | powerpc-apple-darwin8* | powerpc-apple-darwin9* )
+ echo powerpc-apple-darwin7 ;;
+ echo powerpc-apple-darwin7 ;;
+
*)
echo unknown
......@@ -138,17 +138,17 @@ EOF
function apply_ccmio_261_linux_ppc_patch
{
patch -p1 << \EOF
--- visit-build-old/libccmio-2.6.1/config/linux64_2.6-pwr4-glibc_2.3.3/qmake.conf 2009-03-19 21:31:31.207392275 -0400
+++ visit-build/libccmio-2.6.1/config/linux64_2.6-pwr4-glibc_2.3.3/qmake.conf 2009-03-19 21:31:54.522915173 -0400
--- visit-build-old/libccmio-2.6.1/config/linux64_2.6-pwr4-glibc_2.3.3/qmake.conf 2009-03-19 21:31:31.207392275 -0400
+++ visit-build/libccmio-2.6.1/config/linux64_2.6-pwr4-glibc_2.3.3/qmake.conf 2009-03-19 21:31:54.522915173 -0400
@@ -72,7 +72,7 @@
QMAKE_UIC = $(QTDIR)/bin/uic
QMAKE_UIC = $(QTDIR)/bin/uic
QMAKE_AR = ar cq
-QMAKE_RANLIB = ranlib -X64
+QMAKE_RANLIB = ranlib
QMAKE_AR = ar cq
-QMAKE_RANLIB = ranlib -X64
+QMAKE_RANLIB = ranlib
QMAKE_TAR = tar -cf
QMAKE_GZIP = gzip -9f
QMAKE_TAR = tar -cf
QMAKE_GZIP = gzip -9f
EOF
if [[ $? != 0 ]] ; then
warn "Unable to apply linux ppc patch to CCMIO 2.6.1."
......@@ -166,69 +166,69 @@ diff -c a/config/aix64_5.1-pwr4/qmake.conf libccmio-2.6.1/config/aix64_5.1-pwr4/
--- libccmio-2.6.1/config/aix64_5.1-pwr4/qmake.conf
***************
*** 15,21 ****
QMAKE_LEXFLAGS =
QMAKE_YACC = yacc
QMAKE_YACCFLAGS = -d
! QMAKE_CFLAGS = -q64 -ma -qrndsngl -qnomaf -qstrict -DLARGE_FILES
QMAKE_LEXFLAGS =
QMAKE_YACC = yacc
QMAKE_YACCFLAGS = -d
! QMAKE_CFLAGS = -q64 -ma -qrndsngl -qnomaf -qstrict -DLARGE_FILES
# -qwarn64 turns on too many bogus warnings and shadows real warnings
#QMAKE_CFLAGS_WARN_ON = -qwarn64
#QMAKE_CFLAGS_WARN_ON = -qwarn64
QMAKE_CFLAGS_WARN_ON =
--- 15,21 ----
QMAKE_LEXFLAGS =
QMAKE_YACC = yacc
QMAKE_YACCFLAGS = -d
! QMAKE_CFLAGS = -ma -qrndsngl -qnomaf -qstrict -DLARGE_FILES
QMAKE_LEXFLAGS =
QMAKE_YACC = yacc
QMAKE_YACCFLAGS = -d
! QMAKE_CFLAGS = -ma -qrndsngl -qnomaf -qstrict -DLARGE_FILES
# -qwarn64 turns on too many bogus warnings and shadows real warnings
#QMAKE_CFLAGS_WARN_ON = -qwarn64
#QMAKE_CFLAGS_WARN_ON = -qwarn64
QMAKE_CFLAGS_WARN_ON =
***************
*** 49,61 ****
QMAKE_LINK = xlC
QMAKE_LINK_THREAD = xlC_r
QMAKE_LINK_SHLIB = ld
! QMAKE_LINK_SHLIB_CMD = makeC++SharedLib -p 0 -X64 \
-o $(TARGETD) \
$(LFLAGS) $(OBJECTS) $(OBJMOC) $(LIBS); \
$(AR) lib$(QMAKE_TARGET).a $(TARGETD); \
$(RANLIB) lib$(QMAKE_TARGET).a; \
mv lib$(QMAKE_TARGET).a $(DESTDIR)
! QMAKE_LFLAGS = -q64 -qnotempinc
QMAKE_LFLAGS_RELEASE =
QMAKE_LFLAGS_DEBUG =
QMAKE_LFLAGS_SHLIB =
QMAKE_LINK = xlC
QMAKE_LINK_THREAD = xlC_r
QMAKE_LINK_SHLIB = ld
! QMAKE_LINK_SHLIB_CMD = makeC++SharedLib -p 0 -X64 \
-o $(TARGETD) \
$(LFLAGS) $(OBJECTS) $(OBJMOC) $(LIBS); \
$(AR) lib$(QMAKE_TARGET).a $(TARGETD); \
$(RANLIB) lib$(QMAKE_TARGET).a; \
mv lib$(QMAKE_TARGET).a $(DESTDIR)
! QMAKE_LFLAGS = -q64 -qnotempinc
QMAKE_LFLAGS_RELEASE =
QMAKE_LFLAGS_DEBUG =
QMAKE_LFLAGS_SHLIB =
--- 49,61 ----
QMAKE_LINK = xlC
QMAKE_LINK_THREAD = xlC_r
QMAKE_LINK_SHLIB = ld
! QMAKE_LINK_SHLIB_CMD = makeC++SharedLib -p 0 \
-o $(TARGETD) \
$(LFLAGS) $(OBJECTS) $(OBJMOC) $(LIBS); \
$(AR) lib$(QMAKE_TARGET).a $(TARGETD); \
$(RANLIB) lib$(QMAKE_TARGET).a; \
mv lib$(QMAKE_TARGET).a $(DESTDIR)
! QMAKE_LFLAGS = -qnotempinc
QMAKE_LFLAGS_RELEASE =
QMAKE_LFLAGS_DEBUG =
QMAKE_LFLAGS_SHLIB =
QMAKE_LINK = xlC
QMAKE_LINK_THREAD = xlC_r
QMAKE_LINK_SHLIB = ld
! QMAKE_LINK_SHLIB_CMD = makeC++SharedLib -p 0 \
-o $(TARGETD) \
$(LFLAGS) $(OBJECTS) $(OBJMOC) $(LIBS); \
$(AR) lib$(QMAKE_TARGET).a $(TARGETD); \
$(RANLIB) lib$(QMAKE_TARGET).a; \
mv lib$(QMAKE_TARGET).a $(DESTDIR)
! QMAKE_LFLAGS = -qnotempinc
QMAKE_LFLAGS_RELEASE =
QMAKE_LFLAGS_DEBUG =
QMAKE_LFLAGS_SHLIB =
***************
*** 77,84 ****
QMAKE_MOC = $(QTDIR)/bin/moc
QMAKE_UIC = $(QTDIR)/bin/uic
QMAKE_MOC = $(QTDIR)/bin/moc
QMAKE_UIC = $(QTDIR)/bin/uic
! QMAKE_AR = ar -X64 cq
! QMAKE_RANLIB = ranlib -X64
! QMAKE_AR = ar -X64 cq
! QMAKE_RANLIB = ranlib -X64
QMAKE_TAR = tar -cf
QMAKE_GZIP = gzip -9f
QMAKE_TAR = tar -cf
QMAKE_GZIP = gzip -9f
--- 77,84 ----
QMAKE_MOC = $(QTDIR)/bin/moc
QMAKE_UIC = $(QTDIR)/bin/uic
QMAKE_MOC = $(QTDIR)/bin/moc
QMAKE_UIC = $(QTDIR)/bin/uic
! QMAKE_AR = ar cq
! QMAKE_RANLIB = ranlib
! QMAKE_AR = ar cq
! QMAKE_RANLIB = ranlib
QMAKE_TAR = tar -cf
QMAKE_GZIP = gzip -9f
QMAKE_TAR = tar -cf
QMAKE_GZIP = gzip -9f
EOF
if [[ $? != 0 ]] ; then
warn "Unable to apply aix patch to CCMIO 2.6.1."
......@@ -311,7 +311,7 @@ function build_ccmio
if [[ "$MACH" == "Power Macintosh" ]] ; then
mkdir ${CCMIO_BUILD_DIR}/config/powerpc-apple-darwin7
cp ${QT_BUILD_DIR}/bin/qmake \
${CCMIO_BUILD_DIR}/config/powerpc-apple-darwin7
${CCMIO_BUILD_DIR}/config/powerpc-apple-darwin7
cp ${CCMIO_BUILD_DIR}/config/i386-apple-darwin8/qmake.conf \
${CCMIO_BUILD_DIR}/config/powerpc-apple-darwin7
cp ${QT_BUILD_DIR}/mkspecs/${QT_PLATFORM}/qplatformdefs.h \
......@@ -390,6 +390,7 @@ function build_ccmio
return 0
}
function bv_ccmio_build
{
cd "$START_DIR"
......
......@@ -97,12 +97,11 @@ function bv_hdf4_dry_run
# *************************************************************************** #
# Function 8.3, build_hdf4 #
# *************************************************************************** #
function apply_hdf4_421_darwin_patch
{
patch -p0 << \EOF
*** HDF4.2r1.orig/configure Tue Feb 8 10:29:27 2005
--- HDF4.2r1/configure Thu Apr 26 13:30:56 2007
*** HDF4.2r1.orig/configure Tue Feb 8 10:29:27 2005
--- HDF4.2r1/configure Thu Apr 26 13:30:56 2007
*************** done
*** 5656,5711 ****
......@@ -480,14 +479,14 @@ function apply_hdf4_421_darwin_patch
! {
! long i = longval ();
! if (i != ((long) (sizeof (int*))))
! exit (1);
! exit (1);
! fprintf (f, "%ld\n", i);
! }
! else
! {
! unsigned long i = ulongval ();
! if (i != ((long) (sizeof (int*))))
! exit (1);
! exit (1);
! fprintf (f, "%lu\n", i);
! }
! exit (ferror (f) || fclose (f) != 0);
......@@ -791,14 +790,14 @@ function apply_hdf4_421_darwin_patch
! # {
! # long i = longval ();
! # if (i != ((long) (sizeof (int*))))
! # exit (1);
! # exit (1);
! # fprintf (f, "%ld\n", i);
! # }
! # else
! # {
! # unsigned long i = ulongval ();
! # if (i != ((long) (sizeof (int*))))
! # exit (1);
! # exit (1);
! # fprintf (f, "%lu\n", i);
! # }
! # exit (ferror (f) || fclose (f) != 0);
......@@ -843,8 +842,8 @@ function apply_hdf4_421_darwin_patch
echo "$as_me:$LINENO: result: $ac_cv_sizeof_intp" >&5
echo "${ECHO_T}$ac_cv_sizeof_intp" >&6
cat >>confdefs.h <<_ACEOF
*** HDF4.2r1.orig/hdf/src/hdfi.h Mon Jan 24 19:36:44 2005
--- HDF4.2r1/hdf/src/hdfi.h Thu Apr 26 13:39:53 2007
*** HDF4.2r1.orig/hdf/src/hdfi.h Mon Jan 24 19:36:44 2005
--- HDF4.2r1/hdf/src/hdfi.h Thu Apr 26 13:39:53 2007
***************
*** 10,16 ****
* *
......@@ -947,8 +946,8 @@ EOF
function apply_hdf4_421_ppc_patch
{
patch -p0 << \EOF
--- HDF4.2r1/hdf/src/hdfi.h.bak 2004-06-11 21:28:20.763821223 +0200
+++ HDF4.2r1/hdf/src/hdfi.h 2004-06-11 21:43:34.853673152 +0200
--- HDF4.2r1/hdf/src/hdfi.h.bak 2004-06-11 21:28:20.763821223 +0200
+++ HDF4.2r1/hdf/src/hdfi.h 2004-06-11 21:43:34.853673152 +0200
@@ -1318,6 +1318,55 @@
#endif /* IA-64 */
......@@ -1012,14 +1011,14 @@ EOF
function apply_hdf4_421_ppc_patch_endianness
{
patch -p0 << \EOF
--- HDF4.2r1/hdf/fmpool/config/fmplinux.h.orig 2009-03-17 21:10:59.240084436 -0700
+++ HDF4.2r1/hdf/fmpool/config/fmplinux.h 2009-03-17 21:11:24.868152481 -0700
--- HDF4.2r1/hdf/fmpool/config/fmplinux.h.orig 2009-03-17 21:10:59.240084436 -0700
+++ HDF4.2r1/hdf/fmpool/config/fmplinux.h 2009-03-17 21:11:24.868152481 -0700
@@ -36,7 +36,7 @@
#define HAVE_STAT
#define HAVE_MIN_MAX
#define HAVE_CDEFS_H
-#define BYTE_ORDER LITTLE_ENDIAN
+#define BYTE_ORDER BIG_ENDIAN
-#define BYTE_ORDER LITTLE_ENDIAN
+#define BYTE_ORDER BIG_ENDIAN
#endif /* _FMPCONF_H */
EOF
......@@ -1334,7 +1333,7 @@ function build_hdf4
--prefix=\"$VISITDIR/hdf4/$HDF4_VERSION/$VISITARCH\" \
--with-jpeg=\"$VISITDIR/vtk/${VTK_VERSION}/$VISITARCH\" \
--with-szlib=\"$VISITDIR/szip/$SZIP_VERSION/$VISITARCH\" \
--disable-dependency-tracking"
--disable-dependency-tracking --disable-fortran"
if [[ $? != 0 ]] ; then
warn "HDF4 configure failed. Giving up"\
"You can see the details of the build failure at $HDF4_BUILD_DIR/config.log\n"
......@@ -1352,7 +1351,7 @@ function build_hdf4
$FOTRANARGS \
--prefix=\"$VISITDIR/hdf4/$HDF4_VERSION/$VISITARCH\" \
--with-jpeg=\"$VISITDIR/vtk/${VTK_VERSION}/$VISITARCH\" \
--with-szlib=\"$VISITDIR/szip/$SZIP_VERSION/$VISITARCH\""
--with-szlib=\"$VISITDIR/szip/$SZIP_VERSION/$VISITARCH\" --disable-fortran"
if [[ $? != 0 ]] ; then
warn "HDF4 configure failed. Giving up.\n"\
"You can see the details of the build failure at $HDF4_BUILD_DIR/config.log\n"
......
......@@ -176,44 +176,44 @@ diff -c a/progs/Makefile Mesa-7.5/progs/Makefile
subdirs:
! @for dir in $(SUBDIRS) ; do \
! if [ -d $$dir ] ; then \
! (cd $$dir && $(MAKE)) || exit 1 ; \
! fi \
! done
! @for dir in $(SUBDIRS) ; do \
! if [ -d $$dir ] ; then \
! (cd $$dir && $(MAKE)) || exit 1 ; \
! fi \
! done
# Dummy install target
install:
clean:
! -@for dir in $(SUBDIRS) tests ; do \
! if [ -d $$dir ] ; then \
! (cd $$dir && $(MAKE) clean) ; \
! fi \
! done
! -@for dir in $(SUBDIRS) tests ; do \
! if [ -d $$dir ] ; then \
! (cd $$dir && $(MAKE) clean) ; \
! fi \
! done
--- 15,36 ----
subdirs:
! @if test -n "$(SUBDIRS)" ; then \
! for dir in $(SUBDIRS) ; do \
! if [ -d $$dir ] ; then \
! (cd $$dir && $(MAKE)) || exit 1 ; \
! fi \
! done \
! fi
! @if test -n "$(SUBDIRS)" ; then \
! for dir in $(SUBDIRS) ; do \
! if [ -d $$dir ] ; then \
! (cd $$dir && $(MAKE)) || exit 1 ; \
! fi \
! done \
! fi
# Dummy install target
install:
clean:
! -@if test -n "$(SUBDIRS)" ; then \
! for dir in $(SUBDIRS) tests ; do \
! if [ -d $$dir ] ; then \
! (cd $$dir && $(MAKE) clean) ; \
! fi \
! done \
! fi
! -@if test -n "$(SUBDIRS)" ; then \
! for dir in $(SUBDIRS) tests ; do \
! if [ -d $$dir ] ; then \
! (cd $$dir && $(MAKE) clean) ; \
! fi \
! done \
! fi
EOF
if [[ $? != 0 ]] ; then
......@@ -235,23 +235,23 @@ diff -c a/src/mesa/main/compiler.h Mesa-7.5/src/mesa/main/compiler.h
*** 233,239 ****
#elif defined(__APPLE__)
#include <CoreFoundation/CFByteOrder.h>
#define CPU_TO_LE32( x ) CFSwapInt32HostToLittle( x )
#define CPU_TO_LE32( x ) CFSwapInt32HostToLittle( x )
! #else /*__linux__ __APPLE__*/
#include <sys/endian.h>
#define CPU_TO_LE32( x ) bswap32( x )
#define CPU_TO_LE32( x ) bswap32( x )
#endif /*__linux__*/
--- 233,244 ----
#elif defined(__APPLE__)
#include <CoreFoundation/CFByteOrder.h>
#define CPU_TO_LE32( x ) CFSwapInt32HostToLittle( x )
#define CPU_TO_LE32( x ) CFSwapInt32HostToLittle( x )
! #elif defined(_AIX)
! #define CPU_TO_LE32( x ) x = ((x & 0x000000ff) << 24) | \
! ((x & 0x0000ff00) << 8) | \
! ((x & 0x00ff0000) >> 8) | \
! ((x & 0xff000000) >> 24);
! #define CPU_TO_LE32( x ) x = ((x & 0x000000ff) << 24) | \
! ((x & 0x0000ff00) << 8) | \
! ((x & 0x00ff0000) >> 8) | \
! ((x & 0xff000000) >> 24);
! #else /*__linux__*/
#include <sys/endian.h>
#define CPU_TO_LE32( x ) bswap32( x )
#define CPU_TO_LE32( x ) bswap32( x )
#endif /*__linux__*/
EOF
......@@ -352,7 +352,7 @@ index a156823..8434491 100644
+ unsigned char c;
+
+ __asm__ __volatile__("lock; decl %0; sete %1":"+m"(*v), "=qm"(c)
+ ::"memory");
+ ::"memory");
+
+ return c != 0;
+}
......
......@@ -100,18 +100,18 @@ function apply_netcdf_patch_for_exodusii
local retval=0
pushd $NETCDF_BUILD_DIR 1>/dev/null 2>&1
patch -p0 << \EOF
*** libsrc/netcdf.h Wed Oct 27 11:50:22 2010
--- libsrc/netcdf.h.ex Wed Oct 27 11:50:31 2010
*** libsrc/netcdf.h Wed Oct 27 11:50:22 2010
--- libsrc/netcdf.h.ex Wed Oct 27 11:50:31 2010
***************
*** 141,151 ****
* applications and utilities. However, nothing is statically allocated to
* these sizes internally.
*/
! #define NC_MAX_DIMS 1024 /* max dimensions per file */
! #define NC_MAX_ATTRS 8192 /* max global or per variable attributes */
! #define NC_MAX_VARS 8192 /* max variables per file */
! #define NC_MAX_NAME 256 /* max length of a name */
! #define NC_MAX_VAR_DIMS NC_MAX_DIMS /* max per variable dimensions */
! #define NC_MAX_DIMS 1024 /* max dimensions per file */
! #define NC_MAX_ATTRS 8192 /* max global or per variable attributes */
! #define NC_MAX_VARS 8192 /* max variables per file */
! #define NC_MAX_NAME 256 /* max length of a name */
! #define NC_MAX_VAR_DIMS NC_MAX_DIMS /* max per variable dimensions */
/*
* The netcdf version 3 functions all return integer error status.
......@@ -119,10 +119,10 @@ function apply_netcdf_patch_for_exodusii
* applications and utilities. However, nothing is statically allocated to
* these sizes internally.
*/
! #define NC_MAX_DIMS 65536 /* max dimensions per file */
! #define NC_MAX_ATTRS 8192 /* max global or per variable attributes */
! #define NC_MAX_VARS 524288 /* max variables per file */
! #define NC_MAX_NAME 256 /* max length of a name */
! #define NC_MAX_DIMS 65536 /* max dimensions per file */
! #define NC_MAX_ATTRS 8192 /* max global or per variable attributes */
! #define NC_MAX_VARS 524288 /* max variables per file */
! #define NC_MAX_NAME 256 /* max length of a name */
! #define NC_MAX_VAR_DIMS 8 /* max per variable dimensions */
!
......@@ -131,18 +131,18 @@ function apply_netcdf_patch_for_exodusii
EOF
retval1=$?
patch -p0 << \EOF
*** libsrc4/netcdf.h 2010-04-12 11:48:02.000000000 -0700
--- libsrc4/netcdf.h.ex 2011-01-03 15:51:46.000000000 -0800
*** libsrc4/netcdf.h 2010-04-12 11:48:02.000000000 -0700
--- libsrc4/netcdf.h.ex 2011-01-03 15:51:46.000000000 -0800
***************
*** 199,209 ****
* applications and utilities. However, nothing is statically allocated to
* these sizes internally.
*/
! #define NC_MAX_DIMS 1024 /* max dimensions per file */
#define NC_MAX_ATTRS 8192 /* max global or per variable attributes */
! #define NC_MAX_VARS 8192 /* max variables per file */
#define NC_MAX_NAME 256 /* max length of a name */
! #define NC_MAX_VAR_DIMS NC_MAX_DIMS /* max per variable dimensions */
! #define NC_MAX_DIMS 1024 /* max dimensions per file */
#define NC_MAX_ATTRS 8192 /* max global or per variable attributes */
! #define NC_MAX_VARS 8192 /* max variables per file */
#define NC_MAX_NAME 256 /* max length of a name */
! #define NC_MAX_VAR_DIMS NC_MAX_DIMS /* max per variable dimensions */
/* In HDF5 files you can set the endianness of variables with
* nc_def_var_endian(). These defines are used there. */
......@@ -150,29 +150,29 @@ EOF
* applications and utilities. However, nothing is statically allocated to
* these sizes internally.
*/
! #define NC_MAX_DIMS 65536 /* max dimensions per file */
#define NC_MAX_ATTRS 8192 /* max global or per variable attributes */
! #define NC_MAX_VARS 524288 /* max variables per file */
#define NC_MAX_NAME 256 /* max length of a name */
! #define NC_MAX_VAR_DIMS 8 /* max per variable dimensions */
! #define NC_MAX_DIMS 65536 /* max dimensions per file */
#define NC_MAX_ATTRS 8192 /* max global or per variable attributes */
! #define NC_MAX_VARS 524288 /* max variables per file */
#define NC_MAX_NAME 256 /* max length of a name */
! #define NC_MAX_VAR_DIMS 8 /* max per variable dimensions */
/* In HDF5 files you can set the endianness of variables with
* nc_def_var_endian(). These defines are used there. */
EOF
retval2=$?
patch -p0 << \EOF
*** libsrc4/netcdf_base.h 2010-01-21 08:00:18.000000000 -0800
--- libsrc4/netcdf_base.h.ex 2011-01-03 16:03:36.000000000 -0800
*** libsrc4/netcdf_base.h 2010-01-21 08:00:18.000000000 -0800
--- libsrc4/netcdf_base.h.ex 2011-01-03 16:03:36.000000000 -0800
***************
*** 192,202 ****
* applications and utilities. However, nothing is statically allocated to
* these sizes internally.
*/
! #define NC_MAX_DIMS 1024 /* max dimensions per file */
#define NC_MAX_ATTRS 8192 /* max global or per variable attributes */
! #define NC_MAX_VARS 8192 /* max variables per file */
#define NC_MAX_NAME 256 /* max length of a name */
! #define NC_MAX_VAR_DIMS NC_MAX_DIMS /* max per variable dimensions */
! #define NC_MAX_DIMS 1024 /* max dimensions per file */
#define NC_MAX_ATTRS 8192 /* max global or per variable attributes */
! #define NC_MAX_VARS 8192 /* max variables per file */
#define NC_MAX_NAME 256 /* max length of a name */
! #define NC_MAX_VAR_DIMS NC_MAX_DIMS /* max per variable dimensions */
/* In HDF5 files you can set the endianness of variables with
* nc_def_var_endian(). These defines are used there. */
......@@ -180,11 +180,11 @@ EOF
* applications and utilities. However, nothing is statically allocated to
* these sizes internally.
*/
! #define NC_MAX_DIMS 65536 /* max dimensions per file */
#define NC_MAX_ATTRS 8192 /* max global or per variable attributes */
! #define NC_MAX_VARS 524288 /* max variables per file */
#define NC_MAX_NAME 256 /* max length of a name */
! #define NC_MAX_VAR_DIMS 8 /* max per variable dimensions */
! #define NC_MAX_DIMS 65536 /* max dimensions per file */
#define NC_MAX_ATTRS 8192 /* max global or per variable attributes */
! #define NC_MAX_VARS 524288 /* max variables per file */
#define NC_MAX_NAME 256 /* max length of a name */
! #define NC_MAX_VAR_DIMS 8 /* max per variable dimensions */
/* In HDF5 files you can set the endianness of variables with
* nc_def_var_endian(). These defines are used there. */
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment